FreeMat

- Main Page
- Related Pages

vtkSphericalTransform

Section: Visualization Toolkit Common Classes

# Usage

vtkSphericalTransform will convert (r,phi,theta) coordinates to (x,y,z) coordinates and back again. The angles are given in radians. By default, it converts spherical coordinates to rectangular, but GetInverse() returns a transform that will do the opposite. The equation that is used is x = r*sin(phi)*cos(theta), y = r*sin(phi)*sin(theta), z = r*cos(phi).

To create an instance of class vtkSphericalTransform, simply invoke its constructor as follows

      obj = vtkSphericalTransform

# Methods

The class vtkSphericalTransform has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSphericalTransform class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSphericalTransform = obj.NewInstance ()`
- `vtkSphericalTransform = obj.SafeDownCast (vtkObject o)`
- `vtkAbstractTransform = obj.MakeTransform ()` - Make another transform of the same type.